Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.javacode
Class AbstractCodeGeneratorIndividual

    java.lang.Object
      edu.stanford.smi.protege.model.DefaultFrame
          edu.stanford.smi.protege.model.DefaultInstance
              edu.stanford.smi.protege.model.DefaultSimpleInstance
                  edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
                      edu.stanford.smi.protegex.owl.javacode.AbstractCodeGeneratorIndividual

All Implemented Interfaces:
  edu.stanford.smi.protege.model.Frame, edu.stanford.smi.protege.model.Instance, edu.stanford.smi.protege.model.Localizable, edu.stanford.smi.protege.model.SimpleInstance, ProtegeInstance, RDFIndividual, RDFObject, RDFResource, Visitable, Serializable, Comparable<edu.stanford.smi.protege.model.Frame>

    public abstract class AbstractCodeGeneratorIndividual

extends DefaultRDFIndividual

See Also:
  Serialized Form

Constructor Summary
`AbstractCodeGeneratorIndividual()`
`AbstractCodeGeneratorIndividual(edu.stanford.smi.protege.model.KnowledgeBase kb, edu.stanford.smi.protege.model.FrameID id)`

Method Summary
`RDFResource` | `as(Class javaInterface)` Converts this dynamically into an instance of a given Java interface.
`boolean` | `canAs(Class javaInterface)` Checks whether this can be dynamically morphed into an instance of a given Java interface.
`Collection` | `getPropertyValuesAs(RDFProperty property, Class javaInterface)`
`Iterator` | `listPropertyValuesAs(RDFProperty property, Class javaInterface)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.impl.DefaultRDFIndividual
`accept, addComment, addDifferentFrom, addIsDefinedBy, addLabel, addPropertyValue, addPropertyValueListener, addProtegeType, addRDFType, addResourceListener, addSameAs, addVersionInfo, equalsStructurally, getAllValuesFromOnTypes, getComments, getDifferentFrom, getDocumentation, getHasValuesOnTypes, getIcon, getIconLocation, getIconName, getInferredTypes, getIsDefinedBy, getLabels, getLocalName, getNamespace, getNamespacePrefix, getOWLModel, getPossibleRDFProperties, getPrefixedName, getPropertyValue, getPropertyValue, getPropertyValueAs, getPropertyValueCount, getPropertyValueLiteral, getPropertyValueLiterals, getPropertyValues, getPropertyValues, getProtegeType, getProtegeTypes, getRDFProperties, getRDFType, getRDFTypes, getReferringAnonymousClasses, getSameAs, getURI, getVersionInfo, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasPropertyValue, hasProtegeType, hasProtegeType, hasRDFType, hasRDFType, isAnonymous, isValidPropertyValue, listPropertyValues, listPropertyValues, listRDFTypes, removeComment, removeDifferentFrom, removeIsDefinedBy, removeLabel, removePropertyValue, removePropertyValueListener, removeProtegeType, removeRDFType, removeResourceListener, removeSameAs, removeVersionInfo, setComment, setComments, setDocumentation, setInferredTypes, setPropertyValue, setPropertyValues, setProtegeType, setProtegeTypes, setRDFType, setRDFTypes, toString`

Methods inherited from class edu.stanford.smi.protege.model.DefaultSimpleInstance
`rename`

Methods inherited from class edu.stanford.smi.protege.model.DefaultInstance
`addDirectType, addInstanceListener, copy, deepCopy, getBrowserText, getDirectType, getDirectTypes, getOwnFacetValue, getOwnFacetValues, getReachableSimpleInstances, hasDirectType, hasType, moveDirectType, removeDirectType, removeInstanceListener, setDirectType, setDirectTypes, shallowCopy`

Methods inherited from class edu.stanford.smi.protege.model.DefaultFrame
`addFrameListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, assertFrameName, compareTo, delete, equals, equals, getDefaultKnowledgeBase, getDefiningProjectURI, getDirectOwnSlotValue, getDirectOwnSlotValues, getFrameID, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getName, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReferences, getReferences, hashCode, hasOwnSlot, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValid, isValidOwnSlotValue, isVisible, localize, markDeleted, markDeleting, moveDirectOwnSlotValue, removeFrameListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, setSystem, setVisible`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.RDFResource
`delete, getBrowserText, getName, isVisible, setVisible`

Methods inherited from interface edu.stanford.smi.protegex.owl.model.ProtegeInstance
`addDirectType, addFrameListener, addInstanceListener, addOwnFacetValue, addOwnSlotValue, areValidOwnSlotValues, copy, deepCopy, getDirectOwnSlotValue, getDirectOwnSlotValues, getDirectType, getDirectTypes, getInvalidOwnSlotValuesText, getInvalidOwnSlotValueText, getKnowledgeBase, getOwnFacetValue, getOwnFacetValues, getOwnSlotAllowsMultipleValues, getOwnSlotAndSubslotValues, getOwnSlotDefaultValues, getOwnSlotFacets, getOwnSlotFacetValues, getOwnSlots, getOwnSlotValue, getOwnSlotValueCount, getOwnSlotValues, getOwnSlotValueType, getProject, getReachableSimpleInstances, getReferences, getReferences, hasDirectType, hasOwnSlot, hasType, isBeingDeleted, isDeleted, isEditable, isIncluded, isSystem, isValidOwnSlotValue, markDeleted, markDeleting, removeDirectType, removeFrameListener, removeInstanceListener, removeOwnSlotValue, setDirectOwnSlotValue, setDirectOwnSlotValues, setDirectType, setDirectTypes, setDocumentation, setEditable, setIncluded, setOwnFacetValue, setOwnFacetValues, setOwnSlotValue, setOwnSlotValues, shallowCopy`

Methods inherited from interface edu.stanford.smi.protege.model.Instance
`moveDirectType`

Methods inherited from interface edu.stanford.smi.protege.model.Frame
`assertFrameName, getFrameID, isValid, moveDirectOwnSlotValue, rename`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### AbstractCodeGeneratorIndividual

    public AbstractCodeGeneratorIndividual()

### AbstractCodeGeneratorIndividual

    public AbstractCodeGeneratorIndividual(edu.stanford.smi.protege.model.KnowledgeBase kb,
                                           edu.stanford.smi.protege.model.FrameID id)

Method Detail

### as

    public RDFResource as(Class javaInterface)

  Description copied from interface: `RDFResource`
  Converts this dynamically into an instance of a given Java interface. The interface must inherit from RDFResource and must be accompanied by a public class DefaultXY in the impl subpackage below the interface's package. Note: Work in Progress!

  Specified by:
    `as` in interface `RDFResource`
  Overrides:
    `as` in class `DefaultRDFIndividual`
  Parameters:
    `javaInterface` - the Java interface to convert to
  Returns:
    an instance of the Java interface

### canAs

    public boolean canAs(Class javaInterface)

  Description copied from interface: `RDFResource`
  Checks whether this can be dynamically morphed into an instance of a given Java interface. The interface must inherit from RDFResource and must be accompanied by an implementation in the subpackage "impl" below the interface package. Note: Work in Progress!

  Specified by:
    `canAs` in interface `RDFResource`
  Overrides:
    `canAs` in class `DefaultRDFIndividual`
  Parameters:
    `javaInterface` - the Java interface to test
  Returns:
    true if this can be morphed into the given Java class

### getPropertyValuesAs

    public Collection getPropertyValuesAs(RDFProperty property,
                                          Class javaInterface)

  Specified by:
    `getPropertyValuesAs` in interface `RDFResource`
  Overrides:
    `getPropertyValuesAs` in class `DefaultRDFIndividual`

### listPropertyValuesAs

    public Iterator listPropertyValuesAs(RDFProperty property,
                                         Class javaInterface)

  Specified by:
    `listPropertyValuesAs` in interface `RDFResource`
  Overrides:
    `listPropertyValuesAs` in class `DefaultRDFIndividual`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.